<?php

namespace app\Controllers;

use vendor\Controller;
use app\Models\Member as MemberModel;
use app\Models\UserRole as UserRoleModel;
use app\Middleware\AuthMiddleware;

class Member extends Controller
{

    private $em;
    public function __construct()
    {
        $this->em = new MemberModel();
        $this->userRole = new UserRoleModel();
    }

    public function newMember()
    {
        $Email = $_POST["Email"];
        $Phone = $_POST["Phone"];
        $FullName = $_POST["FullName"];
        $Password = $_POST["Password"];
        return $this->em->newMember($Email, $Phone, $FullName, $Password);
    }

    public function getMember()
    {
        if (isset($_POST["id"])) {
            $id = $_POST["id"];
            return $this->em->getMember($id);
        }else if(isset($_POST["CustomMaintain"])){
            $id = AuthMiddleware::getUser()["result"][0]["id"];
            return $this->em->getMember($id);
        }else {
                return $this->em->getMembers();
            }
    }


    public function updateMember()
    {
        $Email = $_POST["Email"];
        $Phone = $_POST["Phone"];
        $FullName = $_POST["FullName"];
        $Password = $_POST["Password"];
        $id = $_POST["id"];
        return $this->em->updateMember($Email, $Phone, $FullName, $Password, $id);
    }

    public function removeMember()
    {
        $id = $_POST["id"];
        return $this->em->removeMember($id);
    }


}
